Redmine - Defect #31102

The parent task history needs to be recorded when the parent task field is automatically updated by
subtask creation.

2019-03-27 08:02 - Hinako Tajima

Status: Needs feedback Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Affected version:

Description

The history of the parent task does not record any changes when field values are automatically updated due to the addition of the
subtask.

The automatic update occurs the problem that those original values are overwritten even when the subtask is created by mistakes
and it is very distressing.

Change history is recorded when the start date or due date is updated within the preceding issue or following issue.
The updated history needs to remain in the parent task field when the subtask is added.

History

#1 - 2019-03-27 08:16 - Go MAEDA

- Category set to Issues

#2 - 2020-04-23 06:41 - Igor Timofeev

The most negative here is that there will be neither notification nor history record about start date/due date changes in the tasks, which have
preceding/following relation to the automatically updated task.

| would suggest to reflect this somehow in the subject, because the task was created a year ago and there have been no actions so far.

Also adding an information about versions:

Redmine version 4.1.0.stable.19639

Ruby version 2.5.1-p57 (2018-03-29) [x86_64-linux-gnu]
Rails version 5.24.2

Environment production

Database adapter PostgreSQL

#3 - 2020-04-23 14:32 - Mischa The Evil

- Status changed from New to Needs feedback

This seems to be duplicating issue #6687. See #6687#note-27.

2025-05-09 1/1



https://www.redmine.org/issues/6687
https://www.redmine.org/issues/6687#note-27
http://www.tcpdf.org

